curl "https://api.usesendly.app/v1/email?page=1&limit=10&sort_order=desc" \
-H "Authorization: Bearer se_your_api_key"
const response = await client.emails.list({
page: 1,
limit: 10,
sort_order: 'desc'
})
console.log(`Total emails: ${response.total}`)
response.data.forEach(email => {
console.log(`${email.to} - ${email.status}`)
})
{
"page": 1,
"limit": 10,
"hasMore": true,
"total": 300,
"data": [
{
"id": "9f419f2e-8cd3-43b5-aa03-009a965d3c99",
"status": "DELIVERED",
"created_at": "2026-05-28T03:11:53.168Z",
"queued_at": "2026-05-28T03:11:53.168Z",
"sent_at": "2026-05-28T03:11:54.036Z",
"failed_at": null,
"to": "user@example.com",
"subject": "Welcome to our platform",
"from": "noreply@yourdomain.com"
},
{
"id": "bea721d4-7308-47f7-bd87-f3beabbe5ec5",
"status": "BLOCKED",
"created_at": "2026-05-27T06:42:53.919Z",
"queued_at": "2026-05-27T06:42:53.919Z",
"sent_at": null,
"failed_at": "2026-05-27T06:42:54.143Z",
"to": "another@example.com",
"subject": "Your invoice is ready",
"from": "noreply@yourdomain.com"
}
]
}
Emails
List Emails
Get a paginated list of sent emails
curl "https://api.usesendly.app/v1/email?page=1&limit=10&sort_order=desc" \
-H "Authorization: Bearer se_your_api_key"
const response = await client.emails.list({
page: 1,
limit: 10,
sort_order: 'desc'
})
console.log(`Total emails: ${response.total}`)
response.data.forEach(email => {
console.log(`${email.to} - ${email.status}`)
})
{
"page": 1,
"limit": 10,
"hasMore": true,
"total": 300,
"data": [
{
"id": "9f419f2e-8cd3-43b5-aa03-009a965d3c99",
"status": "DELIVERED",
"created_at": "2026-05-28T03:11:53.168Z",
"queued_at": "2026-05-28T03:11:53.168Z",
"sent_at": "2026-05-28T03:11:54.036Z",
"failed_at": null,
"to": "user@example.com",
"subject": "Welcome to our platform",
"from": "noreply@yourdomain.com"
},
{
"id": "bea721d4-7308-47f7-bd87-f3beabbe5ec5",
"status": "BLOCKED",
"created_at": "2026-05-27T06:42:53.919Z",
"queued_at": "2026-05-27T06:42:53.919Z",
"sent_at": null,
"failed_at": "2026-05-27T06:42:54.143Z",
"to": "another@example.com",
"subject": "Your invoice is ready",
"from": "noreply@yourdomain.com"
}
]
}
Parameters
Page number. Default: 1
Results per page. Default: 10. Maximum: 100
Sort field. Default:
created_atSort order. Default:
descSearch by recipient or subject
Filter from this date (ISO 8601)
Filter up to this date (ISO 8601)
Response
Current page
Results per page
Whether there are more pages
Total number of emails
List of email objects
Show Email object
Show Email object
Unique email ID
DELIVERED, COMPLAINED, BLOCKED, BOUNCEDWhen the email was created (ISO 8601)
When the email entered the queue (ISO 8601)
When the email was sent, or
nullWhen the email failed, or
nullRecipient address
Email subject
Sender address
curl "https://api.usesendly.app/v1/email?page=1&limit=10&sort_order=desc" \
-H "Authorization: Bearer se_your_api_key"
const response = await client.emails.list({
page: 1,
limit: 10,
sort_order: 'desc'
})
console.log(`Total emails: ${response.total}`)
response.data.forEach(email => {
console.log(`${email.to} - ${email.status}`)
})
{
"page": 1,
"limit": 10,
"hasMore": true,
"total": 300,
"data": [
{
"id": "9f419f2e-8cd3-43b5-aa03-009a965d3c99",
"status": "DELIVERED",
"created_at": "2026-05-28T03:11:53.168Z",
"queued_at": "2026-05-28T03:11:53.168Z",
"sent_at": "2026-05-28T03:11:54.036Z",
"failed_at": null,
"to": "user@example.com",
"subject": "Welcome to our platform",
"from": "noreply@yourdomain.com"
},
{
"id": "bea721d4-7308-47f7-bd87-f3beabbe5ec5",
"status": "BLOCKED",
"created_at": "2026-05-27T06:42:53.919Z",
"queued_at": "2026-05-27T06:42:53.919Z",
"sent_at": null,
"failed_at": "2026-05-27T06:42:54.143Z",
"to": "another@example.com",
"subject": "Your invoice is ready",
"from": "noreply@yourdomain.com"
}
]
}
⌘I